      program rinnb
      rold=0.
      rnew=0.
      do i=1,10000
100   rold=rnew
      rnew=r_addran()
      if(rold.lt.0.001.and.rnew.lt.0.001) then
      write(*,*) rold,rnew
      else
      goto 100
      endif
      enddo
      end
     
